# Hiding Payment Methods

The Hyp CreditGuard payment page supports several [payment methods](/creditguard/available-payment-options/overview.md) in addition to standard credit card payments:

* Apple Pay
* Google Pay
* bit
* Payment link
* Pinpad Cloud Pairing (PCP)

The exact set of payment methods available to you depends on your terminal settings.

All available payment methods are displayed on the payment page by default. If you want to hide one or more payment methods from the payment page, you can do this in one of two ways:

1. **To hide one or more payment methods**, use the `paymentMethods` array. To represent a payment method, add an object with two properties: `type` and `hidden`. The `type` property is the payment method type (`applepay`, `googlepay`, `bit`, `ipr` for payment links, and `pcp` for Pinpad Cloud Pairing), and the `hidden` property indicates whether to hide the payment method or not. For example, to hide Apple Pay and payment links:

   ```json
   <paymentPageData>
       <ppsJSONConfig>
          {
            "uiCustomData": {
                "paymentMethods": [
                     {"type": "applepay", "hidden": true},
                     {"type": "ipr", "hidden": true}
              ]
            }
          }
       </ppsJSONConfig>
   </paymentPageData>
   ```
2. **To hide all payment methods** and only keep the standard credit card payment, use the `skipPaymentMethodsScreen` property. Instead of explicitly setting every payment method type to `"hidden": true` under `paymentMethods`, you can just set `skipPaymentMethodsScreen` to `true`:

   ```json
   <paymentPageData> 
       <ppsJSONConfig>
            {
              "uiCustomData": {
                    "skipPaymentMethodsScreen": true
              }
            }
       </ppsJSONConfig>
   </paymentPageData>
   ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.hyp.co.il/creditguard/changing-the-default-payment-page-appearance/hiding-payment-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
